> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Leads



## OpenAPI

````yaml POST /leads/search
openapi: 3.0.0
info:
  title: Closer Intellect AI API
  description: >-
    The core API documentation and interactive playground for Closer Intellect
    AI.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /leads/search:
    post:
      tags:
        - Leads Management
      summary: Search for new prospects using AI Web Search or Apollo Database
      operationId: LeadsController_searchLeads
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchLeadsDto'
      responses:
        '200':
          description: List of leads matching criteria
      security:
        - bearer: []
components:
  schemas:
    SearchLeadsDto:
      type: object
      properties:
        industry:
          type: string
          example: Real Estate
        location:
          type: string
          example: California
        title:
          type: string
          example: CEO
        source:
          type: string
          example: Apollo
          enum:
            - Apollo
            - WebSearch
      required:
        - source
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````